## sonnet 5.80.0

=== debian/changelog ===
sonnet (5.80.0-0ubuntu2) groovy; urgency=medium

  * Get rid of annoying hebrew dictionary message I don't speak bloody hebrew

 -- Chris <dpkg@chris-nz.com>  Tue, 04 May 2021 20:11:34 +1200

sonnet (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:11:16 +0000

sonnet (5.79.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.79.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:25:29 +0000
