=== debian/control ===
--- 
+++ 
@@ -8,9 +8,8 @@
                cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.78.0~),
+               extra-cmake-modules (>= 5.80.0~),
                graphviz,
-               hspell,
                libaspell-dev,
                libhunspell-dev,
                libkf5sonnet-dev-bin <cross>,
@@ -23,7 +22,7 @@
                qttools5-dev-tools (>= 5.4),
                xauth,
                xvfb,
-               zlib1g-dev
+               zlib1g-dev,
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/sonnet
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/sonnet
@@ -39,7 +38,7 @@
          libkf5sonnetui5 (= ${binary:Version}),
          qtbase5-dev (>= 5.14.0~),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Recommends: libkf5sonnet-doc (= ${source:Version})
 Description: spell checking library for Qt, devel files
  Sonnet is a Qt based library that offers easy access to spell
@@ -138,12 +137,11 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: hspell
 Description: spell checking library for Qt, plugins
  Sonnet is a Qt based library that offers easy access to spell
  checking using various plugin based backends.  It is part of KDE
  Frameworks 5.
  .
  This package provides plugins used by Sonnet to interact with the following
- spell checking backends: aspell, hunspell or hspell. The dictionaries need to
+ spell checking backends: aspell or hunspell. The dictionaries need to
  be installed separatedly.
