## sonnet 5.81.0

=== debian/changelog ===
sonnet (5.81.0-0ubuntu1~ubuntu21.04~ppa2) groovy; urgency=medium

  * "missing hspell" error is annoying, don't try it 

 -- Chris <dpkg@chris-nz.com>  Tue, 04 May 2021 21:05:54 +1200

sonnet (5.81.0-0ubuntu1~ubuntu21.04~ppa1) hirsute; urgency=high

  * New upstream release (5.81.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 04 Apr 2021 12:41:46 +0000
