## sonnet 5.83.0

=== debian/changelog ===
sonnet (5.83.0-0ubuntu1~ubuntu21.04~ppa10~chris1) groovy; urgency=medium

  * Rebuild to remove bullshit stderr noise

 -- Chris <dpkg@chris-nz.com>  Sun, 27 Jun 2021 11:28:26 +1200

sonnet (5.83.0-0ubuntu1~ubuntu21.04~ppa10) hirsute; urgency=high

  * New upstream release (5.83.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:20:40 +0100

sonnet (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 12:00:24 +0100

sonnet (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:32:46 +0100
