=== debian/control ===
--- 
+++ 
@@ -8,8 +8,9 @@
                cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.81.0~),
+               extra-cmake-modules (>= 5.83.0~),
                graphviz,
+#               hspell,
                libaspell-dev,
                libhunspell-dev,
                libkf5sonnet-dev-bin <cross>,
@@ -137,11 +138,12 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Suggests: hspell
 Description: spell checking library for Qt, plugins
  Sonnet is a Qt based library that offers easy access to spell
  checking using various plugin based backends.  It is part of KDE
  Frameworks 5.
  .
  This package provides plugins used by Sonnet to interact with the following
- spell checking backends: aspell or hunspell. The dictionaries need to
+ spell checking backends: aspell, hunspell or hspell. The dictionaries need to
  be installed separatedly.
