=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
                cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.83.0~),
+               extra-cmake-modules (>= 5.86.0~),
                graphviz,
-#               hspell,
+               hspell,
                libaspell-dev,
                libhunspell-dev,
                libkf5sonnet-dev-bin <cross>,
