=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: sonnet
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>,
-           Norbert Preining <norbert@preining.info>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: aspell,
-               cmake (>= 3.5~),
+               cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.86.0~),
-               graphviz,
+               extra-cmake-modules (>= 5.92.0~),
                hspell,
                libaspell-dev,
                libhunspell-dev,
@@ -18,16 +17,17 @@
                libvoikko-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.14.0~),
+               qtbase5-dev (>= 5.15.2~),
+               qtdeclarative5-dev (>= 5.15.2~),
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4),
                xauth,
                xvfb,
                zlib1g-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/frameworks/sonnet
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/sonnet
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/sonnet.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sonnet
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sonnet
 Rules-Requires-Root: no
 
 Package: libkf5sonnet-dev
@@ -37,7 +37,7 @@
 Depends: libkf5sonnet-dev-bin (= ${binary:Version}),
          libkf5sonnetcore5 (= ${binary:Version}),
          libkf5sonnetui5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.14.0~),
+         qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf5sonnet-doc (= ${source:Version})
@@ -92,7 +92,7 @@
 Multi-Arch: same
 Depends: libkf5sonnet5-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Recommends: sonnet-plugins (= ${binary:Version})
 Description: spell checking library for Qt, core lib
  Sonnet is a Qt based library that offers easy access to spell
@@ -101,7 +101,7 @@
 Breaks: kdesignerplugin (<< 5.42),
         libkf5khtml5 (<< 5.54),
         libkf5texteditor5 (<< 5.54),
-        libkf5textwidgets5 (<< 5.54)
+        libkf5textwidgets5 (<< 5.54),
 
 Package: libkf5sonnetui5
 Architecture: any
@@ -131,7 +131,7 @@
         libkf5texteditor5 (<< 5.54),
         libkf5textwidgets5 (<< 5.54),
         libkf5webkit5 (<< 5.42),
-        libkf5xmlgui5 (<< 5.42)
+        libkf5xmlgui5 (<< 5.42),
 
 Package: sonnet-plugins
 Section: kde
@@ -147,3 +147,14 @@
  This package provides plugins used by Sonnet to interact with the following
  spell checking backends: aspell, hunspell or hspell. The dictionaries need to
  be installed separatedly.
+
+Package: qml-module-org-kde-sonnet
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Architecture: any
+Multi-Arch: same
+Description: spell checking library for Qt, plugins
+ Sonnet is a Qt based library that offers easy access to spell
+ checking using various plugin based backends.  It is part of KDE
+ Frameworks 5.
+ .
+ This package contains the QML module.
