=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.101.0~),
+               extra-cmake-modules (>= 5.102.0~),
                hspell,
                libaspell-dev,
                libhunspell-dev,
@@ -24,7 +24,7 @@
                xauth,
                xvfb,
                zlib1g-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/frameworks/sonnet
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/sonnet
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/sonnet.git
